Bug 1019854 - JAR without pom.xml cannot be uploaded into asset repository
JAR without pom.xml cannot be uploaded into asset repository
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Toni Rikkola
Radovan Synek
:
Depends On: 1012483 1018220
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 09:50 EDT by Radovan Synek
Modified: 2014-08-06 16:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mode JAR (8.35 KB, application/x-java-archive)
2013-10-16 09:50 EDT, Radovan Synek
no flags Details
the interesting part of a server log (27.25 KB, text/x-log)
2013-10-16 09:53 EDT, Radovan Synek
no flags Details

  None (edit)
Description Radovan Synek 2013-10-16 09:50:22 EDT
Created attachment 812935 [details]
mode JAR

Description of problem:
Uploading JAR without pom.xml ends up with an error message with NPE, server log gives better advice: "Could not find pom.xml from the jar."

Version-Release number of selected component (if applicable):
BRMS-6.0.0.ER4

Steps to Reproduce:
1. open Asset Repository and try to upload attached JAR
2. see the error msg and server log

Expected results:
I can remember previous builds enabled typing GAV when pom.xml was not available in the JAR.
Comment 1 Radovan Synek 2013-10-16 09:53:46 EDT
Created attachment 812938 [details]
the interesting part of a server log
Comment 2 manstis 2013-10-17 04:51:16 EDT
This was fixed (probably!) by https://bugzilla.redhat.com/show_bug.cgi?id=1018220. I have tested with "master" code-base and problem does not exist (you are asked to enter the GAV details as you remembered).
Comment 4 Radovan Synek 2013-12-03 09:36:04 EST
Verified on BRMS-6.0.0.ER5

Note You need to log in before you can comment on or make changes to this bug.